make test: fix broken passing of return value

Change-Id: I2cb83caaf55ca9a29c06d71c6d20f8273ec062b3
Signed-off-by: Klement Sekera <ksekera@cisco.com>
This commit is contained in:
Klement Sekera
2017-08-16 16:38:10 +02:00
committed by Neale Ranns
parent 30fb4a2f43
commit 8712ada6c3
2 changed files with 6 additions and 5 deletions

View File

@ -14,7 +14,7 @@ atexit() {
kill -9 $id kill -9 $id
fi fi
done done
exit $rv exit ${rv}
} }
trap "atexit;" SIGINT SIGTERM trap "atexit;" SIGINT SIGTERM
@ -30,9 +30,10 @@ then
$* $*
else else
$* & $* &
wait pid=$!
wait ${pid}
fi fi
rv=$? rv=$?
atexit atexit
exit $rv exit ${rv}

View File

@ -3,10 +3,10 @@
if [[ "$1" == "1" ]] if [[ "$1" == "1" ]]
then then
setsid scripts/run_in_venv_with_cleanup.sh $* setsid scripts/run_in_venv_with_cleanup.sh $*
pid=$!
else else
setsid scripts/run_in_venv_with_cleanup.sh $* & setsid scripts/run_in_venv_with_cleanup.sh $* &
pid=$! pid=$!
trap "echo setsid_wrapper.sh: got signal, killing child pid ${pid}; kill ${pid}; sleep .1;" SIGINT SIGTERM trap "echo setsid_wrapper.sh: got signal, killing child pid ${pid}; kill ${pid}; sleep .1;" SIGINT SIGTERM
wait wait ${pid}
exit $?
fi fi